
local addonName, addon = ...
addon[1] = {} -- Gloable
addon[2] = {} -- Function
addon[3] = {} -- Config
addon[4] = {} -- Locale

local G, F, C, L = unpack(addon)

local events = {}
print('|cffaa33ffInked  :|cFFFFFFFF Type /inked or /ink or /cfg for configuration');
local host = CreateFrame("Frame")
host:SetScript("OnEvent", function(_, event, ...)
	for func in pairs(events[event]) do
		if event == "COMBAT_LOG_EVENT_UNFILTERED" then
			func(event, CombatLogGetCurrentEventInfo())
		else
			func(event, ...)
		end
	end
end)

function G:RegisterEvent(event, func, unit1, unit2)
	if not events[event] then
		events[event] = {}
		if unit1 then
			host:RegisterUnitEvent(event, unit1, unit2)
		else
			host:RegisterEvent(event)
		end
	end

	events[event][func] = true
end

function G:UnregisterEvent(event, func)
	local funcs = events[event]
	if funcs and funcs[func] then
		funcs[func] = nil

		if not next(funcs) then
			events[event] = nil
			host:UnregisterEvent(event)
		end
	end
end

local InkedDB = {
	FirstUSE = true;
	target = true,
	comb = true,
	name = true,
	cast = true,
	quest = true,
	smap = true,
	mmb = true,
	buffs = true,
	ftip = 1,
	MoveAllFrames = false,
	playerFrame = true,
	DefaultPosition = true,
	MapLocation = true,
	MapTime = true,
	SystemBar = true,
	MemoryBar = true,
	SpecBar = true,
	GoldInfoBar = true,
	DuraBar = true,
	GuildBar = true,
	FriendsBar = true,
	MyMapSize = 0,

}

local eventframe = CreateFrame("Frame")
eventframe:RegisterEvent("ADDON_LOADED")
eventframe:SetScript("OnEvent",function(self,_,addon)
	if addon ~= "Inked" then return end
	if not InkedChar then InkedChar = {} end
	
		for i, j in pairs(InkedDB) do
		if type(j) == "table" then
			if InkedChar[i] == nil then InkedChar[i] = {} end
			for k, v in pairs(j) do
				if InkedChar[i][k] == nil then
					InkedChar[i][k] = v
				end
			end
		else
			if InkedChar[i] == nil then InkedChar[i] = j end
		end
	end
	self:UnregisterAllEvents()

end)
local function TestFunc()
if InkedChar["PlayerY"] ==  true  then print("keivamp") end
end
G:RegisterEvent("PLAYER_LOGIN",TestFunc)



local frame1 = CreateFrame("Frame", nil, InterfaceOptionsFrame, "OptionsBoxTemplate")
frame1.name = addonName

local frame2 = CreateFrame("Frame", "keivamp", frame1)
frame2.name = "keivamp"
frame2.parent =  frame1

frame1:SetScript("OnShow", function(frame)

	local Inked = frame:CreateFontString(nil, "ARTWORK", "GameFontNormalLarge")
	Inked:SetPoint("TOPLEFT", 55, -16)
	Inked:SetText(addonName)
	Inked:SetFont("fonts\\ARHei.ttf", 30, "OUTLINE")
	local Inked2 = frame:CreateFontString(nil, "ARTWORK", "GameFontNormalLarge")
	Inked2:SetPoint("TOPLEFT", 128, -16)
	Inked2:SetText("!")
	Inked2:SetFont("fonts\\ARHei.ttf", 30, "OUTLINE")
		
	local sm = frame:CreateFontString(nil, "ARTWORK", "GameFontNormalLarge")
	sm:SetPoint("TOPLEFT", 200, -22)
	sm:SetText("A World of Warcraft Interface!")
	sm:SetJustifyH("LEFT")
	
	local keiavmp = frame:CreateFontString(nil, "ARTWORK", "GameFontNormalLarge")
	keiavmp:SetPoint("BOTTOMRIGHT", -10, 10)
	keiavmp:SetText("by keiavmp")
	keiavmp:SetJustifyH("RIGHT")
	
	local PushReload = frame:CreateFontString(nil, "ARTWORK", "GameFontNormalLarge")
	PushReload:SetPoint("CENTER", 0, -100)
	PushReload:SetText("PUSH RELOAD BUTTON BELOW!!!")
	PushReload:SetJustifyH("Center")
	
	local MoveFrames = CreateFrame("Button", "MoveFrames", frame, "UIPanelButtonTemplate")
	MoveFrames:SetText("Move Unit Frames")
	MoveFrames:SetWidth(177)
	MoveFrames:SetHeight(24)
	MoveFrames:SetPoint("TOPLEFT", 16, -55)
	MoveFrames:SetScript("OnClick", function()
		InkedChar.DefaultPosition = false
		InkedChar.MoveAllFrames = true
		ReloadUI()
	end)
	local LockFrames = CreateFrame("Button", "LockFrames", frame, "UIPanelButtonTemplate")
	LockFrames:SetText("Lock Unit Frames")
	LockFrames:SetWidth(177)
	LockFrames:SetHeight(24)
	LockFrames:SetPoint("TOPLEFT", 200, -55)
	LockFrames:SetScript("OnClick", function()
		InkedChar.DefaultPosition = false
		InkedChar.MoveAllFrames = false
		ReloadUI()
	end)
	local ResetDefaultFrames = CreateFrame("Button", "ResetDefaultFrames", frame, "UIPanelButtonTemplate")
	ResetDefaultFrames:SetText("Default Unit Positions")
	ResetDefaultFrames:SetWidth(177)
	ResetDefaultFrames:SetHeight(24)
	ResetDefaultFrames:SetPoint("TOPLEFT", 385, -55)
	ResetDefaultFrames:SetScript("OnClick", function()
		InkedChar.DefaultPosition = true
		InkedChar.MoveAllFrames = false
		ReloadUI()
	end)


	local ReloadUIbutton = CreateFrame("Button", "ReloadUIbutton", frame, "UIPanelButtonTemplate")
	ReloadUIbutton.Text:SetFont("fonts\\ARHei.ttf", 30, "OUTLINE")
	ReloadUIbutton:SetText("Reload UI")
	ReloadUIbutton:SetWidth(200)
	ReloadUIbutton:SetHeight(50)
	ReloadUIbutton:SetPoint("CENTER", 0, -150)
	ReloadUIbutton:SetScript("OnClick", function()
		ReloadUI()
	end)
	
	local function newCheckbox(label, description, onClick)
		local check = CreateFrame("CheckButton", "InkedCheck" .. label, frame, "InterfaceOptionsCheckButtonTemplate")
		check:SetScript("OnClick", function(self)
			local tick = self:GetChecked()
			onClick(self, tick and true or false)
			--ReloadUI()
		end)
		check.label = _G[check:GetName() .. "Text"]
		check.label:SetText(label)
		check.tooltipText = description
		--check.tooltipRequirement = description
		return check
	end
	
	

	local playerFramec = newCheckbox("Player Frame","Use Inked! Player Frame?",function(self, value) InkedChar.playerFrame = value end)
	playerFramec:SetChecked(InkedChar.playerFrame)
	playerFramec:SetPoint("TOPLEFT", 16, -120)


	
	local targetc = newCheckbox("Target Frame","Use Inked! Target Frame?",function(self, value) InkedChar.target = value end)
	targetc:SetChecked(InkedChar.target)
	targetc:SetPoint("TOPLEFT", 160, -120)
	

	local castc = newCheckbox("Cast Bars","Use Inked! Cast Bars?",function(self, value) InkedChar.cast = value end)
	castc:SetChecked(InkedChar.cast)
	castc:SetPoint("TOPLEFT", 300, -120)
	

	
	local mmbc = newCheckbox("Action Bars","Use Inked! Action Bars?",function(self, value) InkedChar.mmb = value end)
	mmbc:SetChecked(InkedChar.mmb)
	mmbc:SetPoint("TOPLEFT", 16, -150)
	

	
	local questc = newCheckbox("Quest Frame","Use Inked! Quest Frame?",function(self, value) InkedChar.quest = value end)
	questc:SetChecked(InkedChar.quest)
	questc:SetPoint("TOPLEFT", 450, -150)

	

	
end)

InterfaceOptions_AddCategory(frame1)
--InterfaceOptions_AddCategory(frame2)
--SLASH_Inked3 = "/ink"
--SLASH_Inked2 = "/inked"
SLASH_Inked1 = "/cfg"

SlashCmdList["Inked"] = function() 
    InterfaceOptionsFrame_OpenToCategory(frame1)
	InterfaceOptionsFrame_OpenToCategory(frame1)
end